{% extends "base.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
    <br>
    <h2>vnf instance list</h2>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th>#</th>
                <th>VNF instance name</th>
                <th>VNF type</th>
            </tr>
            </thead>
            <tbody>
            {% for vnf_instance in vnf_instance_list | reverse %}
            <tr>
                <td><class="vnf_instance" type="text" id="{{loop.index}}" name="{{loop.index}}" value="{{loop.index}}">{{loop.index}}</td>
                <td><class="vnf_instance" type="text" id="vnf_name_{{loop.index}}" name="vnf_name_{{loop.index}}" value="{{vnf_instance['vnf-name']}}">{{vnf_instance['vnf-name']}}</td>
                <td><class="vnf_instance" type="text" id="vnf_type_{{loop.index}}" name="vnf_type_{{loop.index}}" value="{{vnf_instance['vnf-type']}}">{{vnf_instance['vnf-type']}}</td>
                {% set hasModule = vnf_instance['has_vf_module'] %}
                {% if not hasModule %}
                  <td><a href="../vnf_instance_delete?vnf-instance-id={{vnf_instance['vnf-id']}}&resource-version={{vnf_instance['resource-version']}}" class="btn btn-danger">Delete</a></td>
                {% endif %}
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</main>
{% endblock %}
